# State
**Inherits:** [Node](https://docs.godotengine.org/de/4.x/classes/class_node.html)
    
## Description

Base Class for all states

## Properties

| Name                                 | Type                                         | Default |
| ------------------------------------ | -------------------------------------------- | ------- |
| [state_machine](#prop-state-machine) | [StateMachine](/reference/StateMachine.html) |         |

## Methods

| Returns                                                                   | Name                         |
| ------------------------------------------------------------------------- | ---------------------------- |
| void                                                                      | [_on_enter](#-on-enter) (  ) |
| void                                                                      | [_on_leave](#-on-leave) (  ) |
| [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) | [is_active](#is-active) (  ) |







## Property Descriptions

### state_machine: [StateMachine](/reference/StateMachine.html) {#prop-state-machine}

No description provided yet.

## Method Descriptions

###  _on_enter ( ) -> void {#-on-enter}

No description provided yet.

###  _on_leave ( ) -> void {#-on-leave}

No description provided yet.

###  is_active ( ) -> [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) {#is-active}

No description provided yet.
